Summary: OS independent MSN Messenger client written in python and GTK
Name: emesene
Version: 1.0
Release: 0.3.20070711svn%{?dist}
Group: Applications/Internet
License: GPLv2
# The source for this package was build from SVN repository.  Use the
# following commands to generate the tarball:

# Download svn files:
# svn co -r678 https://emesene.svn.sourceforge.net/svnroot/emesene/trunk/emesene emesene-1.0

# Enter a the directory emesene-1.0 and delete some files, they are not necessary:
# cd emesene-1.0; rm -f docs/INSTALL emesene emesene.bat setup

# and finally create the tarball:
# tar --exclude .svn -cvjf emesene-1.0.tar.bz2 emesene-1.0/
Source0: emesene-1.0.tar.bz2
URL: http://www.emesene.org
Source0: %{name}-%{version}.tar.bz2
Requires: python
Requires: pygtk2
Requires: gtk2
Requires: dbus-python
BuildRequires: desktop-file-utils
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Emesene is an OS independent MSN Messenger client written in python an GTK
The main idea is to make a client similar to the official MSN Messenger
client but keeping it simple and with a nice GUI.

%prep
%setup -q
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i *.py

%build 
# Nothing to build...

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/pixmaps
install -d %{buildroot}%{_datadir}/locale
install -d %{buildroot}%{_datadir}/%{name}
install -p *.py %{buildroot}%{_datadir}/%{name}
install -p  themes/default/userPanel.png %{buildroot}%{_datadir}/pixmaps/emesene.png
cp -pR {conversation_themes,docs,emesenelib,plugins_base,po,smilies,sounds,themes} %{buildroot}%{_datadir}/%{name}

find po -maxdepth 1 -mindepth 1 -type d -exec \
cp -pR {} %{buildroot}%{_datadir}/locale \;

# remove *.pyc 
find . -name "*.pyc" -exec rm {} \;

# Create the wrapper script...
echo -e '#!/bin/sh\ncd %{_datadir}/%{name} && exec python ./Controller.py' > %{buildroot}%{_bindir}/%{name}
chmod 644 %{buildroot}%{_datadir}/%{name}/*.py

# building a emesene.desktop
cat << EOF >emesene.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Emesene
GenericName=MSN Messenger client
GenericName[es]=Cliente MSN Messenger
Comment=Clone of MSN Messenger
Comment[es]=Clon de MSN Messenger
StartupNotify=true
Exec=emesene
Icon=emesene.png
Terminal=false
Type=Application
Categories=Network;InstantMessaging;
Version=1.0
EOF

# Install emesene.desktop
	desktop-file-install				\
	--vendor="fedora"				\
	--add-category=Network				\
	--dir=%{buildroot}%{_datadir}/applications	\
	emesene.desktop

# Update MimeType and menus in desktops environments

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf %{buildroot}

%files
%attr(0755,root,root) %{_bindir}/%{name}
%defattr(-,root,root,-)
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/locale/*
%{_datadir}/%{name}/
%doc docs/* COPYING

%changelog
* Sun Aug 26 2007 Wilmer Jaramillo <wilmer@fedoraproject.org> - 1.0-0.3.20070711svn
- Comment to show how the source have been building
- Renamed GPL License by GPLv2
- Fixed naming and versioning in pre-release
- Changed %%{_datadir}/%%{name}/* by %%{_datadir}/%%{name}/
- Added emesene.desktop content into emesene.spec

* Wed Jul 11 2007 Wilmer Jaramillo <wilmer@fedoraproject.org> - 1.0-0.2.20070711svn
- Fixed summary, description
- Updated to svn version

* Mon Jan 29 2007 Wilmer Jaramillo <wilmer@fedoraproject.org> - 1.0-0.1.20070711svn
- Initial release for Fedora Extras
